Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGeneratorInterface Interface Reference
Inheritance diagram for Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGeneratorInterface:

## Public Member Functions
| generateTag (string $patternName, array $values=[], bool $withPrefix=false)
| generateKey (string $patternName, array $values=[], bool $withPrefix=false)

## Detailed Description

Definition at line 14 of file CacheIdentifierGeneratorInterface.php.

## Member Function Documentation

## ◆ generateKey()

Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGeneratorInterface::generateKey | ( | string | $patternName,
|  | array | $values = `[]`,
|  | bool | $withPrefix = `false`
| ) |  |

Parameters

  string | $patternName | patterns determining how the tag will look like, defined in ibexa.core.persistence.cache.key_patterns
  array | $values | containing scalars, mostly integers and strings
  bool | $withPrefix | used mainly by keys, if set to true, tags will be prefixed with ibx-

Exceptions

Implemented in Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGenerator.

## ◆ generateTag()

Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGeneratorInterface::generateTag | ( | string | $patternName,
|  | array | $values = `[]`,
|  | bool | $withPrefix = `false`
| ) |  |

Parameters

  string | $patternName | patterns determining how the tag will look like, defined in ibexa.core.persistence.cache.tag_patterns
  array | $values | containing scalars, mostly integers and strings
  bool | $withPrefix | used mainly by keys, if set to true, tags will be prefixed with ibx-

Exceptions

Implemented in Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGenerator.

The documentation for this interface was generated from the following file:

- CacheIdentifierGeneratorInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.